XF Test Bench 3.3

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
StateMachine05a Class Reference
Fifth Test Project

`#include <statemachine05a.h>`

Inheritance diagram for StateMachine05a:
Collaboration diagram for StateMachine05a:

## Public Member Functions
| StateMachine05a (std::string text)

## Protected Types
enum | eTimeoutId { Timeout_SAY_HELLO_id = 1 }
enum | eMainState { STATE_UNKNOWN = 0 , STATE_INITIAL = 1 , STATE_SAY_TEXT = 2 }

## Protected Member Functions
XFEventStatus | processEvent () override
| Remplementation from XFReactive.
std::string | getText () const
| Returns text. Accessor for #_text.

## Protected Attributes
eMainState | currentState_
| Attribute indicating currently active state.
std::string | text_
| Text to display in state machine state.

## Detailed Description

Task implementing a little state machine saying something in a predefined time interval. The text to output is passed to the object at construction time. The time interval is fixed to 500 milliseconds.

Following you will find the state machine implemented by StateMachine05a:

State Machine implemented by StateMachine05a

## Member Enumeration Documentation

## ◆ eMainState

enum StateMachine05a::eMainState
| protected

Enumeration used to have a unique identifier for every state in the state machine.

Enumerator
STATE_UNKNOWN | Unknown state.
STATE_INITIAL | Initial state.
STATE_SAY_TEXT | Say "text" state.

## ◆ eTimeoutId

enum StateMachine05a::eTimeoutId
| protected

Timeout identifier(s) for this state machine

Enumerator
Timeout_SAY_HELLO_id | Timeout id for WAIT.

## Constructor & Destructor Documentation

## ◆ StateMachine05a()

StateMachine05a::StateMachine05a | ( | std::string | text | ) |

Constructor

Parameters

  text | Text to display by the state machine.

The documentation for this class was generated from the following files:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test5/src/app/statemachine05a.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test5/src/app/statemachine05a.cpp